summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoroli2015-06-12 21:54:05 +0200
committeroli2015-06-12 21:54:05 +0200
commit82191a7c43c5d788861403484bf30153a41d444b (patch)
tree16a06248270f8d8e3b4d73befd630730f8ef122f
downloadaur-82191a7c43c5d788861403484bf30153a41d444b.tar.gz
Initial import
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD20
-rw-r--r--antigrav.desktop6
3 files changed, 44 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..1bdee3c45fb
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = antigravitaattori
+ pkgdesc = a multiplayer flying saucer racing game
+ pkgver = 0.0.3
+ pkgrel = 3
+ url = http://luolamies.org/software/antigrav/
+ arch = i686
+ license = GPL-2
+ depends = libpng
+ depends = sdl
+ depends = mesa
+ depends = freealut
+ source = http://luolamies.org/software/antigrav/antigrav-0.0.3.tar.gz
+ source = antigrav.desktop
+ md5sums = 20e357bacdff1a04da399c9a5b983ff0
+ md5sums = 2fe08f941d366e2cc0a993ea0d0445eb
+
+pkgname = antigravitaattori
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d8c6e3bece0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,20 @@
+# Contributor: jose <jose1711 [at] gmail (dot) com>
+
+pkgname=antigravitaattori
+arch=('i686')
+pkgver=0.0.3
+pkgrel=3
+pkgdesc="a multiplayer flying saucer racing game"
+license=('GPL-2')
+url="http://luolamies.org/software/antigrav/"
+depends=('libpng' 'sdl' 'mesa' 'freealut')
+source=("http://luolamies.org/software/antigrav/antigrav-${pkgver}.tar.gz" "antigrav.desktop")
+md5sums=('20e357bacdff1a04da399c9a5b983ff0' '2fe08f941d366e2cc0a993ea0d0445eb')
+
+build() {
+cd $srcdir/antigrav-$pkgver
+./configure --prefix=/usr
+make || return 1
+make exec_prefix=$pkgdir prefix=$pkgdir/usr install
+install -D -m644 $srcdir/antigrav.desktop $pkgdir/usr/share/applications/antigrav.desktop || return 1
+}
diff --git a/antigrav.desktop b/antigrav.desktop
new file mode 100644
index 00000000000..ce9320c333e
--- /dev/null
+++ b/antigrav.desktop
@@ -0,0 +1,6 @@
+[Desktop Entry]
+Type=Application
+Name=Antigravitaattori
+Comment=Flying saucer race
+Exec=antigrav
+Categories=Game;ActionGame;